#
# spec file for package marco
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname  libmarco-private
%define sover   0
%define _version 1.16
Name:           marco
Version:        1.16.0
Release:        1.2
Summary:        MATE window manager
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            http://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  mate-common >= %{_version}
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  zenity
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcanberra-gtk)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
Requires:       zenity
Recommends:     %{name}-lang
Provides:       windowmanager
# mate-window-manager was last used in openSUSE 13.1.
Provides:       mate-window-manager = %{version}
Obsoletes:      mate-window-manager < %{version}
Obsoletes:      mate-window-manager-lang < %{version}
%glib2_gsettings_schema_requires

%description
Marco is a small window manager, using GTK+ to do everything. It is
developed mainly for the MATE Desktop.

%package -n %{soname}%{sover}
Summary:        MATE window manager shared libraries
Group:          System/GUI/Other

%description -n %{soname}%{sover}
Marco is a small window manager, using GTK+ to do everything. It is
developed mainly for the MATE Desktop.

%package themes
Summary:        MATE window manager themes
Group:          System/GUI/Other
# mate-window-manager-themes was last used in openSUSE 13.1.
Provides:       mate-window-manager-themes = %{version}
Obsoletes:      mate-window-manager-themes < %{version}
BuildArch:      noarch

%description themes
Marco is a small window manager, using GTK+ to do everything. It is
developed mainly for the MATE Desktop.

%package devel
Summary:        MATE window manager development files
Group:          Development/Libraries/Other
Requires:       %{soname}%{sover} = %{version}
# mate-window-manager-devel was last used in openSUSE 13.1.
Provides:       mate-window-manager-devel = %{version}
Obsoletes:      mate-window-manager-devel < %{version}

%description devel
Marco is a small window manager, using GTK+ to do everything. It is
developed mainly for the MATE Desktop.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --libexecdir=%{_libexecdir}/%{name} \
  --with-gtk=2.0                      \
  --disable-static                    \
  --disable-scrollkeeper              \
  --disable-schemas-install
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print

%suse_update_desktop_file %{name}
%suse_update_desktop_file %{buildroot}%{_datadir}/mate/wm-properties/%{name}-wm.desktop
%fdupes %{buildroot}%{_datadir}/themes/

%post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%post -n %{soname}%{sover} -p /sbin/ldconfig

%postun -n %{soname}%{sover} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%{_bindir}/%{name}*
%dir %{_datadir}/mate/
%{_datadir}/mate/wm-properties/
%{_datadir}/%{name}/
%{_datadir}/mate-control-center/keybindings/50-marco*.xml
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/help/C/
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man?/%{name}*.?%{?ext_man}

%files -n %{soname}%{sover}
%defattr(-,root,root)
# Marco requires libmarco-private0 and mate-control-center requires
# it too; make libmarco-private0 own /usr/share/mate-control-center
# to avoid conflicts between packages.
%dir %{_datadir}/mate-control-center/
%dir %{_datadir}/mate-control-center/keybindings/
%{_libdir}/*.so.%{sover}*

%files themes
%defattr(-,root,root)
%{_datadir}/themes/ClearlooksRe/
%{_datadir}/themes/Dopple-Left/
%{_datadir}/themes/Dopple/
%{_datadir}/themes/DustBlue/
%{_datadir}/themes/Spidey-Left/
%{_datadir}/themes/Spidey/
%{_datadir}/themes/Splint-Left/
%{_datadir}/themes/Splint/
%{_datadir}/themes/WinMe/
%{_datadir}/themes/eOS/

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}-1/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmarco-private.pc

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Make distcheck use a currently selected GTK+ version.
  * Update translations.
* Sun May 22 2016 sor.alexei@meowr.ru
- Update to version 1.14.2:
  * GTK+3: Fix a typo with deprecated GtkMisc.
  * GTK+3 fixedtip: Add style class tooltip.
  * Update translations.
* Wed Apr 20 2016 sor.alexei@meowr.ru
- Update to version 1.14.1:
  * Fix a crash on showing Alt-Tab thumbnails with compositor on.
  * Update translations.
- Remove marco-1.14.0-fix-thumb-crash.patch.
* Tue Apr 12 2016 sor.alexei@meowr.ru
- Add marco-1.14.0-fix-thumb-crash.patch from upstream: fix a
  crash on showing Alt-Tab thumbnails.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Correct description of compositing-fast-alt-tab GSettings key
    (mention that it disables thumbnails).
  * GTK+3: Re-add ability to show alt-tab thumbnails when
    compositor is on.
  * Update translations.
  * Add Changelog generation.
* Sun Feb 21 2016 sor.alexei@meowr.ru
- Update to version 1.13.1:
  * Bump libmarco-private's sover for Gtk3 build.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0:
  * Gtk3: Fix several deprecations.
  * Drop MateConf migration script.
  * Fix visual glitches appearing after unmaximising Chromium
    window.
* Mon Jan 11 2016 sor.alexei@meowr.ru
- Add missing XCursor, Xinerama and XRandR dependencies.
* Wed Jan  6 2016 sor.alexei@meowr.ru
- Add missing XComposite dependency.
* Sun Nov 29 2015 sor.alexei@meowr.ru
- Update to 1.12.1:
  * Fix animation issues that led to crashes and visual glitches.
  * Gtk3 fixes.
  * Update translations.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0.
- Provide "windowmanager".
* Tue Oct 27 2015 sor.alexei@meowr.ru
- Update to 1.11.1:
  * Use Alt-` for switching between windows of the same application.
  * Gtk3: Draw 1px tile border for tile preview.
  * Add manual and by-pointer window placement.
  * More improvements and bug fixes.
* Tue Oct 27 2015 sor.alexei@meowr.ru
- Update to 1.10.3:
  * Fix crash with minimise animation.
  * Fix crash with window moving in some distributions (boo#953036).
* Fri Aug 21 2015 sor.alexei@meowr.ru
- Update to 1.10.2:
  * Remove outdated assertion.
  * Make minimize item insensitive when window should not be
    minimized.
  * Fix crash when struts change during grab operation.
  * Fix switching of fullscreen Direct3D applications running in
    Wine.
  * Update translations.
* Fri Jun 12 2015 sor.alexei@meowr.ru
- Update to 1.10.1:
  * Assorted bugfixes.
- Spec cleanup.
* Wed Apr 15 2015 p.drouand@gmail.com
- Update to version 1.10.0
  * Bugfixes release
- Remove marco-keybindings-pass-screen-name-instead-of.patch; merged
  on upstream release
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 1.9.90 (unstable)
  * Bugfixes release
* Mon Mar 23 2015 p.drouand@gmail.com
- Add marco-keybindings-pass-screen-name-instead-of.patch; pass screen
  name instead of number to error dialog (closes #150
  https://github.com/mate-desktop/marco/issues/150)
* Sun Nov 23 2014 p.drouand@gmail.com
- Update to version 1.9.3 (unstable)
  + Lot of GTK/GDK bug fixes
* Sat Nov 15 2014 p.drouand@gmail.com
- Add dependency on mate-dialogs as Marco starts it for freezed
  windows.
* Sat Nov 15 2014 p.drouand@gmail.com
- Update to version 1.9.2 (unstable)
  + Use zenity instead of mate-dialogs
- Replace mate-dialogs build requirement with zenity
- Remove marco-1.8.2-fix-the-resizing-of-CSD-windows.patch; merged
  on current release
* Wed Oct 29 2014 p.drouand@gmail.com
- Add marco-1.8.2-fix-the-resizing-of-CSD-windows.patch; the windows
  can't be resized if builded with CSD
* Fri Oct  3 2014 p.drouand@gmail.com
- Update to version 1.8.2
  + Tell we are Metacity to avoid issues with maximized Java
    applications
  + Tell to GTK3 that marco support _GTK_FRAME_EXTENTS hint
* Sat Jul 12 2014 p.drouand@gmail.com
- Update to version 1.8.1
  + No changelog available
* Mon Mar 10 2014 p.drouand@gmail.com
- marco requires libmarco-private0 and mate-control-center requires
  it too; make libmarco-private0 ownusr/share/mate-control-center to
  avoid conflicts between packages
* Mon Mar 10 2014 p.drouand@gmail.com
- Obsolete mate-window-manager-lang package to avoid conflicting
  with it
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + implement side-by-side tiling
  + use yelp-tools instead of mate-doc-utils
  + cut with fading the bar title when it's longer than the decoration
    bar
* Mon Feb 10 2014 p.drouand@gmail.com
- Initial release (version 1.7.0)
